> ## Documentation Index
> Fetch the complete documentation index at: https://docs.originsai.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Knowledge Bases



## OpenAPI

````yaml https://originshq.b-cdn.net/openapi_sayna.json get /api/knowledge_bases
openapi: 3.1.0
info:
  title: core
  version: 0.1.0
servers: []
security: []
paths:
  /api/knowledge_bases:
    get:
      tags:
        - knowledge_bases
      summary: Get Knowledge Bases
      operationId: get_knowledge_bases_api_knowledge_bases_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/KnowledgeBaseResponse'
                type: array
                title: Response Get Knowledge Bases Api Knowledge Bases Get
components:
  schemas:
    KnowledgeBaseResponse:
      properties:
        id:
          type: integer
          title: Id
        knowledge_base_name:
          type: string
          title: Knowledge Base Name
        agent_id:
          anyOf:
            - type: integer
            - type: 'null'
          title: Agent Id
        context:
          anyOf:
            - type: string
            - type: 'null'
          title: Context
        context_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Context Url
        vector_db_name_space:
          anyOf:
            - type: string
            - type: 'null'
          title: Vector Db Name Space
        embedding_model:
          anyOf:
            - type: string
            - type: 'null'
          title: Embedding Model
        embedding_dimension:
          anyOf:
            - type: integer
            - type: 'null'
          title: Embedding Dimension
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - knowledge_base_name
        - created_at
        - updated_at
      title: KnowledgeBaseResponse

````